import java.awt.*;


class StatusDisplay
{
  String timeText ;
  String prevTimeText = null;
  boolean textChanged = false;

  
  void paint(Graphics g, boolean redrawBackground, boolean endBART)
  {
    g.setColor(Color.white) ;
    if (!endBART)
    {
      if (redrawBackground)
      {
          // fill time text area
        g.fillRect(307,25,245,20) ;
        g.setColor(Color.gray) ;
          // emphasize time display area
          // left lines
        g.drawLine(296,10,296,45) ;
        g.drawLine(301,10,301,45) ;
          // right lines
        g.drawLine(557,10,557,45) ;
        g.drawLine(562,10,562,45) ;
      }
      else if (textChanged && prevTimeText != null)
      {
          //  erase previous time to background color
        g.drawString(prevTimeText,312,40) ;
      }

      if (textChanged)
      {
        g.setColor(Color.black);
        g.drawString(timeText,312,40) ;
        textChanged = false;
      }
    }
    else
    {
      g.drawString(prevTimeText,312,40) ;
      g.setColor(Color.red) ;
      g.drawString(timeText,312,40) ;
    }
  }

      // convert simulation time in seconds to string
  String convertTime(int time_in_minutes, int timefac)
  {
    int tmp_hours ;
    String hourstr ;
    String minstr ;
    String time_str ;

    tmp_hours = time_in_minutes / 60 ;
      //  noon or midnight
    if ((tmp_hours % 12) == 0)
      hourstr = Integer.toString(12) ;
    else
      hourstr = Integer.toString(tmp_hours % 12) ;
    if ((tmp_hours % 12) < 10)
      hourstr = " " + hourstr ;
    minstr = Integer.toString(time_in_minutes % 60) ;
    if ((time_in_minutes % 60) < 10)
      minstr = "0" + minstr ;
        //  a.m. or p.m.
    if (((tmp_hours/12) % 2) == 0)
      time_str = hourstr + ":" + minstr + "a Pacific Time   (" ;
    else
      time_str = hourstr + ":" + minstr + "p Pacific Time   (" ;
    return(time_str + timefac + ":1 speedup)");
  }


      // convert simulation time in seconds to string
  void setText(String txt)
  {
    prevTimeText = timeText;
    timeText = txt;
    textChanged = true;
  }
}
